Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class AdditionalArrange

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableArrangeBase
              de.grogra.blocks.arrangeBlock.AdditionalArrange

All Implemented Interfaces:
  ArrangeMethod, Manageable, Shareable

    public class AdditionalArrange

extends ShareableArrangeBase
implements ArrangeMethod

Nested Class Summary
`static class` | `AdditionalArrange.Type`

Field Summary
`static AdditionalArrange.Type` | `$TYPE`
`static SCOType.Field` | `method$FIELD`

Fields inherited from class de.grogra.blocks.arrangeBlock.ShareableArrangeBase
`densityField, MAX_NUMBER, maxF, maxX, maxXHalbe, maxY, maxYHalbe, prozent, seed, superNumber, xx, yy`

Constructor Summary
`AdditionalArrange()`
`AdditionalArrange(int number)`

Method Summary
`void` | `calculate()`
`ManageableType` | `getManageableType()`
`ShareableAdditionalArrangeBase` | `getMethod()`
`void` | `setMethod(ShareableAdditionalArrangeBase value)`

Methods inherited from class de.grogra.blocks.arrangeBlock.ShareableArrangeBase
`copyField, getXx, getYy, setAll, setNumber`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.blocks.arrangeBlock.ArrangeMethod
`getXx, getYy`

Field Detail

### $TYPE

    public static final AdditionalArrange.Type $TYPE

### method$FIELD

    public static final SCOType.Field method$FIELD

Constructor Detail

### AdditionalArrange

    public AdditionalArrange()

### AdditionalArrange

    public AdditionalArrange(int number)

Method Detail

### calculate

    public void calculate()

  Specified by:
    `calculate` in class `ShareableArrangeBase`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getMethod

    public ShareableAdditionalArrangeBase getMethod()

### setMethod

    public void setMethod(ShareableAdditionalArrangeBase value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD